<?php
include("../db.php");
$requestData= $_REQUEST;
$type = $_POST['type'];
$columns = array( 
	0 =>  'id_type',
	1 =>  'name_type'
);

$sql = "
SELECT * FROM `type_1`
where `active_type` = '0'
and `type` = '$type'
";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "
SELECT * FROM `type_1`
where `active_type` = '0'
and `type` = '$type'
";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( id_type LIKE '".$requestData['search']['value']."%'  ";
	$sql.=" OR name_type LIKE '".$requestData['search']['value']."%' )";    
}
$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {
	$nestedData=array(); 
	$nestedData[] = $row["id_type"];
	$nestedData[] = $row["name_type"];
	$nestedData[] = "<button type='button' class='btn btn-danger' onclick=del_branch('".$row['id_type']."')>حذف</button>
	<button type='button' class='btn btn-success'  onclick='get_type_1(".$row['id_type'].")'>تعديل</button>
	";
	
	$data[] = $nestedData;
}



$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



